Bug 247336 - 2.6.20-1.2962.fc6 kernel isn't compiled with Wireless Extensions (/proc/net/wireless non-existent)
Summary: 2.6.20-1.2962.fc6 kernel isn't compiled with Wireless Extensions (/proc/net/w...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 6
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-07 06:06 UTC by Tony White
Modified: 2008-01-05 12:32 UTC (History)
0 users

Fixed In Version: 2.6.23.8-34.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-05 12:32:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tony White 2007-07-07 06:06:21 UTC
Description of problem:
/proc/net/wireless non-existent

Version-Release number of selected component (if applicable): 2.6.20-1.2962.fc6


How reproducible:


Steps to Reproduce:
1.sudo /sbin/iwconfig rausb0
2.
3.
  
Actual results:
rausb0    no wireless extensions.

Expected results:
wireless extensions.

Additional info:

Wireless Tools for Linux.

http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html

kernel isn't compiled with Wireless Extensions (/proc/net/wireless non-existent)

Comment 1 Chuck Ebbert 2007-07-09 15:32:30 UTC
wireless-tools is part of the Fedora distribution.

And yes, the kernel is compiled with wireless extensions:
     CONFIG_NET_RADIO=y

But the driver for the network adapter must support them too, and some do not.


Comment 2 Till Maas 2008-01-05 12:32:58 UTC
Fixed in Fedora 7, maybe even earlier.


Note You need to log in before you can comment on or make changes to this bug.